View Single Post
Old 4th January 2010, 09:12   #37
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 35,878
Ding ding ding ding ding ding ding!

Ta-da!

Lindoman, you have solved the mystery! Congratulations!

Winamp 5.56 changelog:

* Misc: ml_orb now only installed as part of separate Winamp Remote package


Basically, in 5.56, we removed Remote Media from the "Choose Components" page
(which, when checkmarked, used to just install ml_orb.dll in the Winamp\Plugins dir)
and made it so ml_orb.dll only gets installed if "Winamp Remote" is checkmarked on the "Get the most out of Winamp" page.

When "Remote Media" is checkmarked, the installer checks for an existing version first,
then if a newer version is available, it downloads the package from:
http://download.nullsoft.com/winamp/...s/orbembed.exe

[Edit: 5th Jan] orbembed.exe now updated with non-nscrt.dll-dependent ml_orb.dll [/Edit]

I always uncheck everything on that page,
which is why I've never been able to reproduce the problem...

Well, from what I can gather...

The version of Winamp Remote (not ml_orb.dll, but the actual Orb Networks Remote package) is the same in 5.56 as 5.57x,
and even if the 5.57 version was newer, then it wouldn't make any difference...
because if you manually download the package from that url
and then open orbembed.exe in 7-Zip and extract ml_orb.dll from the "[0]\Plugins" folder,
you'll see that the version of ml_orb.dll says: 5.5.6.2512

D'oh!

Basically, it's still shipping with ml_orb.dll from 5.56
which is nscrt.dll-dependent!

So the problem is therefore going to occur for both upgrades and clean installs.

Hopefully we'll get that orbembed.exe installer updated at some point later today.
DJ Egg is online now